#
# spec file for package python-jupyter_nbsphinx_link
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jupyter_nbsphinx_link
Version:        1.1.1
Release:        lp151.1.1
Summary:        Sphinx extension for including notebook files outside sphinx source root
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/vidartf/nbsphinx-link
Source:         https://files.pythonhosted.org/packages/source/n/nbsphinx_link/nbsphinx-link-%{version}.tar.gz
BuildRequires:  %{python_module jupyter_nbsphinx}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-jupyter_nbsphinx
BuildArch:      noarch

%python_subpackages

%description
A sphinx extension for including notebook files from outside the
sphinx source root.

Normally, Sphinx will only allow you to add files that are situated
inside the source directory, but you might want to include files from
another directory, for example a central 'examples' folder. For RST
files these can be linked with `include` directives inside another
RST file. For notebooks, there's nbsphinx-link!

%prep
%setup -q -n nbsphinx-link-%{version}
sed -i 's/\r$//' README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand $python -c "import nbsphinx_link"

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Sep 28 2018 Todd R <toddrme2178@gmail.com>
- Update to 1.1.1
  * Update for sphinx 1.8
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 1.1.0
  * Documentation and packaging fixes
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
